/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hli@hendriklipka.de
*/

package de.hendriklipka.util;

import java.util.StringTokenizer;
import java.util.Vector;
import org.log4j.Category;

public class Util
{
    static Category CAT = Category.getInstance(Util.class.getName());

    /**
        converts a string to an array, if the string elements are separated by ;
    */
    public static String[] stringToArray(String data)
    {
        StringTokenizer st=new StringTokenizer(data,";");
        Vector v=new Vector(5,5);
        while (st.hasMoreElements())
        {
            String s=(String)st.nextElement();
            v.addElement(s);
        }
        String[] sa=new String[v.size()];
        for (int i=0;i<sa.length;i++)
        {
            sa[i]=(String)v.elementAt(i);
        }
        return sa;
    }

    /**
        replaces the first occurence of <B>orig</B> in <B>in</B> with <B>rep</B> and returns the result
    */    
    public static String replaceSubString(String in,String orig, String rep)
    {
        int pos=in.indexOf(orig);
        if (-1==pos)
            return in;
        String out=in.substring(0,pos);
        out+=rep;
        out+=in.substring(pos+orig.length());
        return out;
    }
    
    /**
        replaces all occurences of <B>orig</B> in <B>in</B> with <B>rep</B> and returns the result
    */    
    public static String replaceAllSubStrings(String in,String orig, String rep)
    {
        String s=in;
        while (true)
        {
            int pos=s.indexOf(orig);
            if (-1==pos)
                return s;
            String out=s.substring(0,pos);
            out+=rep;
            out+=s.substring(pos+orig.length());
            s=out;
        }
    }
}
